lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master 3c3454d6 5/5: Allow GUI test to fail


From: Greg Chicares
Subject: [lmi-commits] [lmi] master 3c3454d6 5/5: Allow GUI test to fail
Date: Fri, 2 Sep 2022 14:23:17 -0400 (EDT)

branch: master
commit 3c3454d66757209fab00dd950ae7d7d9e2c98bd3
Author: Gregory W. Chicares <gchicares@sbcglobal.net>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Allow GUI test to fail
    
    At the moment, using wine-7.0, the GUI test succeeds when run at the
    command line, but fails and hangs when run under xvfb. Used 'timeout'
    to let the nychthemeral test finish, and "|| true" so that it reports
    success if only the GUI test fails.
---
 nychthemeral_test.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/nychthemeral_test.sh b/nychthemeral_test.sh
index d9daad6d..3ca589b9 100755
--- a/nychthemeral_test.sh
+++ b/nychthemeral_test.sh
@@ -359,9 +359,11 @@ if [ "x86_64-pc-linux-gnu" != "$LMI_TRIPLET" ]
 then
   printf '\n# GUI test\n\n'
   WINEDEBUG="fixme-event,fixme-imm,fixme-shell" \
+  timeout 5m \
   xvfb-run "$PERFORM" "$prefix"/bin/wx_test"$EXEEXT" \
     --ash_nazg --data_path="$prefix"/data 2>&1 \
-    | tee "$log_dir"/gui_test | sed -e "$build_clutter" -e "$gui_test_clutter"
+    | tee "$log_dir"/gui_test | sed -e "$build_clutter" -e "$gui_test_clutter" 
\
+  || true ;
 else
   printf '\n# GUI test skipped--it does not work properly with GTK\n'
 fi



reply via email to

[Prev in Thread] Current Thread [Next in Thread]